<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.data.mapper.XcrDomesticCapitalSupplementMapper">

    <resultMap id="BaseResultMap" type="com.zksy.data.domain.po.XcrDomesticCapitalSupplement">
            <id property="pripid" column="PRIPID" jdbcType="VARCHAR"/>
            <result property="postalcode" column="POSTALCODE" jdbcType="VARCHAR"/>
            <result property="tel" column="TEL" jdbcType="VARCHAR"/>
            <result property="email" column="EMAIL" jdbcType="VARCHAR"/>
            <result property="localadm" column="LOCALADM" jdbcType="VARCHAR"/>
            <result property="yiedistrict" column="YIEDISTRICT" jdbcType="VARCHAR"/>
            <result property="proloc" column="PROLOC" jdbcType="VARCHAR"/>
            <result property="calculationmethod" column="CALCULATIONMETHOD" jdbcType="VARCHAR"/>
            <result property="domproright" column="DOMPRORIGHT" jdbcType="VARCHAR"/>
            <result property="insform" column="INSFORM" jdbcType="VARCHAR"/>
            <result property="depincha" column="DEPINCHA" jdbcType="VARCHAR"/>
            <result property="hypotaxis" column="HYPOTAXIS" jdbcType="VARCHAR"/>
            <result property="opform" column="OPFORM" jdbcType="VARCHAR"/>
            <result property="parnum" column="PARNUM" jdbcType="INTEGER"/>
            <result property="limparnum" column="LIMPARNUM" jdbcType="INTEGER"/>
            <result property="parform" column="PARFORM" jdbcType="VARCHAR"/>
            <result property="exenum" column="EXENUM" jdbcType="INTEGER"/>
            <result property="sExtDatatime" column="S_EXT_DATATIME" jdbcType="TIMESTAMP"/>
            <result property="etpsId" column="ETPS_ID" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        PRIPID,POSTALCODE,TEL,
        EMAIL,LOCALADM,YIEDISTRICT,
        PROLOC,CALCULATIONMETHOD,DOMPRORIGHT,
        INSFORM,DEPINCHA,HYPOTAXIS,
        OPFORM,PARNUM,LIMPARNUM,
        PARFORM,EXENUM,S_EXT_DATATIME,
        ETPS_ID
    </sql>
</mapper>
